import {MigrationInterface, QueryRunner} from "typeorm";

export class v11627021652907 implements MigrationInterface {
    name = 'v11627021652907'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query("ALTER TABLE `profile_client` DROP FOREIGN KEY `FK_13e314d443521b30f411b8878f3`");
        await queryRunner.query("ALTER TABLE `profile_client` DROP COLUMN `site_id`");
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query("ALTER TABLE `profile_client` ADD `site_id` int NULL");
        await queryRunner.query("ALTER TABLE `profile_client` ADD CONSTRAINT `FK_13e314d443521b30f411b8878f3` FOREIGN KEY (`site_id`) REFERENCES `site`(`id`) ON DELETE NO ACTION ON UPDATE NO ACTION");
    }

}
